Этот плагин позволяет создать базу данных устройств

This plug-in allows sharing some hostlist information via network with other NetViews running on other computers. This can be necessary for remote network monitoring and for decreasing network overload when many computers on network uses NetView. Plug-in allow possibility to create different clients accounts with different rights to access different hostlist information.

Additional cross-platform program-client written on Java can be used to remotely access NetView hostlist.


Go to menu Plug-ins->Configuration.
Find in the list of plug-ins 'Client-Server', right click on it and click Load.
If you want plgu-in to be automatically started on NetView startup- select Autoload->Yes.


  • After plug-in started, go to Plug-ins and click on Client-Server settings. You'll see window with different setings for Server's and Client's parts of plug-in. Consider both parts separately:
  • Server sharing settings - here you can enable and adjust server possibilites of plug-in (share your hostlist informaion with other).
    • Allow hostlist information sharing using TCP port: - enable this option for enabling server possibilities of plug-in. In the field on the right you can specify different port instead of default 1215.
    • Per-host connects limit: - here you can specify limit for connections count per one IP. This is a DoS attack protection
    • Accounts control elements can be found below:
    • Add new login - Adds new login for access your server. Random password is generated automatically. By default login provides access to any information except of information about visual map lines, areas and images files.
    • Share visual map lines - enables possibility to share information about visual map lines for selected login
    • Share visual map areas - enables possibility to share information about visual map areas for selected login
    • Share visual map images files - enables possibility to share visual map images files (placed in subfolders in \Themes) for selected login
    • IP addresses allowed to access information - here you can specify list of IP addresses that are only allowed or only denied to access your hostlist server
    • Accessible lists - here you can specify information about what particular hostlists client can retrieve or vice-versa - list of denied hostlists
    • Readable metavariables - here you can specify allowed or denied metavariables list, that client can read

  • Client settings - here you can enable and adjust client possibilites of plug-in (synchronize your hostlist with remote)
    • In left-top corner you can find field that must be filled with list of remote servers, logins and passwords in such form: "login:password@server:port" without quote. In case of some servers every login-server group should be on single line
    • Re-synchronize automatically every ... seconds - enable automatic sinchronization by timer
    • Synchronize on startup - enable automatic sinchronization on startup
    • Enable synchronize now in plug-ins menu - enables menu item 'Synchronize now' in plug-ins menu for quick initiating of synchronization
    • Force sunchronizing with all listed servers - when enabled, plug-in will be forced to synchronize with all specified servervs in list. Otherwise - it stops synchronization after first succeed servers.
    • Initiate recheck if synzhronization failed .... times - if synchronization will be failed specified times at once, plug-in will initiate global NetView recheck.
    • Synzhronization automatical timeout after .... seconds - time limit for single synchronization. Time begins from connect estabilished and if synchronization process takes more time that specified here it will be forced to stop and fails counter will be incremented.
    • Button to initiate sunchronization immidiately can be found on the left
    • Objects to synchronize\Synchronize metavariables - здесь указывается список метапеременных хостов которые будет запрашивать плагин от сервера
    • Objects to synchronize\Synchronize metavariables - specify here list of metavariables that client will be ask to synchronize
    • Synchronize Visual map lines - ....
    • Synchronize Visual map areas - ...
    • Synchronize Visual map image files -...
    • Delete hosts from synchronized sublists if not present on server - if enabled (as by default) then plgu-in will delete hosts that was not found in synchronized sublists on server
    • Apply sublists settings - if this option is enabled (as by default) then plug-in will re-apply sublists settings from server, including re-creating sublists from server


  • Client part
    • Synchronization procedure - is the process of finding usable server with which client can be synchronized, and strictly synchronization itself
    • Synchronization procedure can be initated aytomatically by NetView startup or by timer or manually from menu or plug-in's settings window.
    • During synchronization process only allowed hostlists are synchronized, that allows clients to manage own hostlists, that will not be synchronized.
    • It will be better to disable regular local recheck procedures from general NetView settings (Settings-Preferences-Recheck)
  • Server part
    • After enabling server part clients from list of allowed (or not from denied) list of IPs can connect to server and request infromation
    • Per-IP connections limit provides effective protection against DoS attacks
    • Internal encription not supported yet. Instead, you can use third-party software (such as SSH) to tunnel TCP/IP connections between client and server
    • If you wish to deny clients view some secret metavariables (eg user, pass) you can simple specifi list of denied metavariables
    • If your network is large you can adjust some servers to relay information from main server to provide additional reliability and scalability. In this case clients will request information from endpoint servers, and endpoint servers will request it from main server.
    • Other scheme, that can be used on huge networks is distributed NetView servers network, in wich every NetView server scans only its subnet, then it will distribute information about its subnet to other NetView servers, and user's computers will retrieve information about whole network from dedicated NetView servers in their subnets. In this case you must use some scripts and special settings for NetView.


Protocol of exchanging hostlist information between NetView hostlist sharing server and client is simple and free for realisation in third-party software. On http://www.killprog.com you can download sources of NetView client-server plug-in for Borland C++ Builder. Below you can read its description:
Connect and login:
After estabilishing TCP/IP connection to server, client send login and password in such form: "login#password\x0D\x0A"

Request allowed for this account hostlists list::
Client sends to server such request: "listenum#\x0D\x0A"
Answer can be received in such form: "listenum#list1#theme1#ltype1#llength1#lspeed1#lnote1#w1[0]#w1[1]#...#w1[31]#$list2#...#$\x0D\x0A", that is to say in the form of one long string, divided by fileds by charachter $ which area divided to subfields by charachter #. This long string is ended by "\x0D\x0A" (carriage return + line feed)

Request list of hosts and their metavariables:
Client sends to server such request: "hostenum#varname1#varname2#...varnameN#\x0D\x0A"
Answer can be received in such form: "hostenum#host1#varname1_1=vardata1_1#...varname1_N=vardata1_N#$host2#varname2_1=vardata2_1#...varname2_N=vardata2_N#$\x0D\x0A",
Note that server can not send some requested metavariables if they disabled for this account login

Request list of Visual map lines:
Client sends to server such request: "lineenum#\x0D\x0A"
Answer can be received in such form: "lineenum#index1#x[0]#..#x[31]#y[0]#..#y[31]#nodes#color#flags#width#ltype#llength#lspeed#lnote#mapname#$...#$\x0D\x0A"
If sending of this information is disabled on server client will receive: "lineenum$\x0D\x0A"

Request list of Visual map areas:
Client sends to server such request: "areaenum#\x0D\x0A"
Answer can be received in such form:"areaenum#left#top#right#bottom#color#hint#name#mapname#$....#$\x0D\x0A"
If sending of this information is disabled on server client will receive: "areaenum$\x0D\x0A"

Request list of all Visual map images files (.gif and .bmp) from \Themes subfolders with the filesize and last write timestamp for every file:
Client sends to server such request: "vimgenum#\x0D\x0A"
Answer can be received in such form: "vimgenum#imagefile1#size1_timelo_timehi#imagefile2#size2_timelo_timehi#...imagefileN#sizeN_timelo_timehi#$"
If sending of this information is disabled on server client will receive: "vimgenum$\x0D\x0A"

Request list of specified Visual map images files (.gif and .bmp) from \Themes subfolders with the filesize, last write timestamp and content in binary form for every file:
Client sends to server such request: "vimgdata#imagefile1#imagefile2#...imagefileN#"
Answer can be received in such form: "vimgdata#imagefile1#size1_timelo_timehi#rawdata1#imagefile2#size2_timelo_timehi#rawdata2#..imagefileN#sizeN_timelo_timehi#rawdataN#$"
If sending of this information is disabled on server client will receive: "vimgdata$\x0D\x0A"

Before sending requests and afterv receiving answers (except of raw binary content of files, retrieved by vimgdata) client should trsnslate some charachters of strings as specified in following table:
"\x0D" -> "\\1"
"\x0A" -> "\\2"
"\x00" -> "\\3"
"$" -> "\\4"
"#" -> "\\5"
"=" -> "\\6"
"\\" -> "\\7"
"\x09" -> "\\8"
" " -> "\\9"


  • jNetView client is the small corss-platform programm, written on Java. It can connect toNetView ClientServer plugin started on usual NetView, retrieve from it hostlist data and show it as table |HOST|IP|STATE|some_metavariables| or tree NETBIOS, FTP and HTTP resources with simple filters.
  • You can find this program with all sources in archive jNV-client.zip in NetView director after installing of ClientServer.
  • To use it you should install Java 2 Runtime Environment SE version 1.3 or 1.4 from www.sun.com
  • General settings are address, port, login and password to access NetView server.
  • Additionally is is possible to change automatic resynchronize period, commands that executes by opening NETBIOS, FTP and HTTP resources, and filters.